Name:           non-session-manager
Version:        1.0.0
Release:        0.7.gitae6b78cf%{?dist}
Summary:        A session manager for JACK

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://non.tuxfamily.org/nsm
Source0:        non-daw-20121013-git61addce.tar.bz2
# script to create source tarball from git
# sh non-snapshot.sh (rev>
Source1:        non-snapshot.sh
Patch0:         non-session-manager-liblo.patch
BuildRequires:  liblo-devel
BuildRequires:  libsndfile-devel
BuildRequires:  fltk-fluid
BuildRequires:  fltk-devel
BuildRequires:  libsigc++20-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  desktop-file-utils
BuildRequires:  imake
BuildRequires:  libXpm-devel
BuildRequires:  libuuid-devel

%description
Non-session-manager is a session manager for JACK

%prep
%setup -q -n non-daw-20121013
%patch0 -p1

%build
export 
cd nonlib
%configure --prefix=%{_prefix} --enable-debug 
make 
cd ../FL
%configure --prefix=%{_prefix} --enable-debug
make 
cd ../session-manager
%configure --prefix=%{_prefix} --enable-debug \
  DESKTOP_PATH="%{_datadir}/applications"
make  

%install 
cd session-manager
mkdir %{buildroot}%{_prefix}
mkdir %{buildroot}%{_prefix}/bin
make install DESTDIR=%{buildroot} DOCUMENT_PATH=%{buildroot}/%{_docdir}/
%if 0%{?fedora} < 20
mv %{buildroot}/%{_docdir}/%{name} %{buildroot}/%{_docdir}/%{name}-%{version}
%endif
%post 
update-desktop-database -q
touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :

%postun
update-desktop-database -q
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor >&/dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor >&/dev/null || :
fi

%posttrans 
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc COPYING
%{_bindir}/nsmd
%{_bindir}/%{name}
%{_bindir}/jackpatch
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/pixmaps/%{name}

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.7.gitae6b78cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.6.gitae6b78cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 12 2013 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-0.5.gitae6b78cf
- Unversioned doc dir changes

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.4.gitae6b78cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0-0.3.gitae6b78cf
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 13 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-0.2.gitae6b78cf
- Update to latest git

* Tue Jul 24 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.0-0.1.gitae6b78cf
- Initial build

